package models

import (
	"time"
)

type CmContracts struct {
	Id            int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	TreeId        int       `xorm:"not null default 0 comment('树ID') INT(11)"`
	ContractsType int       `xorm:"not null default 1 comment('合同类型(1收入2支出)') TINYINT(1)"`
	ProjectId     int       `xorm:"not null default 0 comment('项目ID') INT(11)"`
	BidsectionId  int       `xorm:"default 0 comment('标段ID') INT(11)"`
	Name          string    `xorm:"not null comment('合同名称') VARCHAR(64)"`
	Content       string    `xorm:"comment('合同内容') VARCHAR(1024)"`
	Code          string    `xorm:"comment('合同编号') VARCHAR(32)"`
	PartyA        string    `xorm:"comment('甲方') VARCHAR(32)"`
	PartyASigner  string    `xorm:"comment('甲方签约人') VARCHAR(32)"`
	PartyB        string    `xorm:"comment('乙方') VARCHAR(32)"`
	PartyBSigner  string    `xorm:"comment('乙方签约人') VARCHAR(32)"`
	SignerTime    time.Time `xorm:"comment('签约日期') DATETIME"`
	Remarks       string    `xorm:"comment('备注') VARCHAR(1024)"`
	Price         string    `xorm:"not null default 0.00 comment('合同金额') DECIMAL(12,2)"`
	Returned      string    `xorm:"not null default 0.00 comment('回款总金额') DECIMAL(12,2)"`
	Paid          string    `xorm:"not null default 0.00 comment('合同已支付总金额') DECIMAL(12,2)"`
	Status        int       `xorm:"not null default 0 comment('合同状态(0履行中1待关闭2已关闭)') TINYINT(1)"`
	Locking       int       `xorm:"not null default 0 comment('锁定(0未锁定1锁定)') TINYINT(1)"`
	CreateTime    time.Time `xorm:"comment('创建时间') DATETIME"`
	UpdateTime    time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
